get file=ncr1.sav


set length=none
****************************************************************
*****  creating emp/unemp dummy
*****
****************************************************************

recode n4144 (sysmis=0)
recode econst81 (sysmis=-1)

compute dstat81=-1
compute dstat91=-1
if (n4144=0) dstat81=0
if (econst81=1 or (econst81 ge 5 and econst81 le 13)) dstat81=0

do if (econst81 ge 2 and econst81 le 4)
if (n4144=1 and (n4213=1 or n4213=2)) dstat81=1
if (n4144 > 1 and (n4239=1 or n4239=2)) dstat81=1
end if

if (cjob=1 and (cstat=1 or cstat=2)) dstat91=1
if (cjob=0 and cstat ge 5 and cstat le 10) dstat91=0

recode n4213 n4239 (sysmis=-1)
missing values dstat81 dstat91 econst81 (-1)

freq vars=n4144,n4213,n4237,n4239
crosstabs tables=econst81 by n4144/missing=include
crosstabs tables=econst81 by dstat81/missing=include/
crosstabs tables=econst81 by n4237/ missing=include/
crosstabs tables=cstat by cjob by dstat91/missing=include/
crosstabs tables=dstat81 by dstat91/missing=include
crosstabs tables=n500520 by dstat91/missing=include

compute fted81=-1
compute fted91=-1
if (econst81=1) fted81=1
if (dstat81=0 and econst81 ne 1) fted81=0
if (dstat81=1 and econst81 ne 1) fted81=0
if (dstat81=-1) fted81=-1
if (cstat=6) fted91=1
if (dstat91=0 and cstat ne 6) fted91=0
if (dstat91=1 and cstat ne 6) fted91=0
if (dstat91=-1) fted91=-1

missing values fted81 fted91 (-1)

freq vars=fted81 fted91

var labels dstat81 'emp/nonemp excl slf emp'
  /dstat91 'emp/nonemp excl slf emp'
  /fted81 'ft ed in 81'
  /fted91 'ft ed in 91'
*****
*****  the dstat vars have a missing value for self-emp
*****  but have a 0 value for those in ft ed.
*****  People who are temping have a value of 1 here.
*****

*****************************************************************
*****  Member of a Trades Union or Staff associon - currently
*****
recode n504646 n5964 n5966 (missing=-1)

compute tum91=-1
if (n504646=1 or n504646=2) tum91=1
if (n504646=3) tum91=0

compute tum81=-1
if (n5964=1 and n5966=1) tum81=1
if (n5964=2 or (n5964=9 and n5966=2)) tum81=0

freq vars=tum81 tum91 n504646 n5964 n5966

crosstabs tables=tum81 by tum91

var labels tum81 'tu or staff assoc member'
          /tum91 'tu or staff assoc member'

missing values tum81 tum91 (-1)

do repeat a=tum00,tum01,tum10,tum11/
compute a=-1
if (tum81 ne -1 and tum91 ne -1) a=0
end repeat

if (tum81=0 and tum91=0) tum00=1
if (tum81=0 and tum91=1) tum01=1
if (tum81=1 and tum91=0) tum10=1
if (tum81=1 and tum91=1) tum11=1

missing values tum00,tum01,tum10,tum11 (-1)
freq vars=tum00,tum01,tum10,tum11

**********************************************************
*****  size and type of organisation of current employer.
*****  this is only defined for non-self employed people.
*****  these variables are not defined for people who are
*****  doing temp jobs for agencies.
*****

   
if (dstat81=0) priv81=0
if (dstat81=0) size81=0

do if (econst81 ge 2 and econst81 le 4)

do if (n4239=1)
recode n4242 (1=1) (2=0) (8=-1) into priv81
if (n4243 ge 1 and n4243 lt 8) size81=n4243
else if (n4239=2 or n4239=3)
compute priv81=-1
compute size81=-1
end if

do if (n4144=1 and n4213=1)
recode n4216 (1=1) (2=0) (8=-1) into priv81
if (n4217 ge 1 and n4217 lt 8) size81=n4217
else if (n4213=2 or n4213=3)
compute priv81=-1
compute size81=-1
end if

end if

do if (n500520=1 or n500520=2)

recode n500534 (1=1) (2 thru 7=0) into priv91
recode n500534 (1=0) (2 thru 7=1) into pub91
if (n500535 ge 1 and n500535 lt 8) size91=n500535

else if (n500520 ge 5 and n500520 le 10)
compute priv91=0
compute pub91=0
compute size91=0

else if (n500520=3 or n500520=4)
compute priv91=-1
compute pub91=-1
compute size91=-1

end if

recode priv81,priv91,pub91,size81,size91,n4243,n4217 (sysmis=-1)

missing values priv81,priv91,pub91,size81,size91,n4243,n4217 (-1)

freq vars=priv91 priv81 pub91
crosstabs tables=n500534 by n500520/
                 econst81 by n4242 n4216/missing=include/
crosstabs tables=econst81 by size81/n500520 by size91/missing=include

recode size81 (0=0) (1,2=1) (3=2) (4=3) (5=4) (sysmis,-1=-1) into sz81
recode size91 (0=0) (1,2=1) (3=2) (4=3) (5=4) (sysmis,-1=-1) into sz91
missing values sz81 sz91 (-1)

compute diffsize=sz91-sz81

do if (sz81 ge 1 and sz81 le 4 and sz91 ge 1 and sz91 le 4)

do if (diffsize=0) 
compute size00=1
compute size01=0
compute size10=0
end if
do if (diffsize gt 0) 
compute size01=1
compute size00=0
compute size10=0
end if
do if (diffsize lt 0) 
compute size10=1
compute size00=0
compute size01=0
end if

end if

do if (sz81=0 or sz91=0)
compute size10=0
compute size01=0
compute size00=0
end if

recode size00,size01,size10 (sysmis=-1)
missing values size00,size01,size10 (-1)

crosstabs tables=size81 by size91/missing=include

var labels sz81 'firm size 81'
  / sz91 'firm size 91'

value labels sz81,sz91
 1 'lt 25'
 2 '25-99'
 3 '100-499'
 4 '500+'

do if (sz81 gt 0 and sz81 le 4) 

do repeat a81=sz811 to sz814/
          b= 1 to 4/
compute a81=0
if (sz81 eq b) a81=1
end repeat

else if (sz81=0)
do repeat a81=sz811 to sz814/
compute a81=0
end repeat

end if


do if (sz91 gt 0 and sz91 le 4) 

do repeat a91=sz911 to sz914/
          b= 1 to 4/
compute a91=0
if (sz91 eq b) a91=1
end repeat

else if (sz91=0)
do repeat a91=sz911 to sz914/
compute a91=0
end repeat

end if

crosstabs tables=sz81 by sz91/missing=include
crosstabs tables=sz81 by n4144/sz81 by econst81/

missing values sz811 to sz914 (-1)

freq vars=n4239,n4213

var labels priv81 'private firm'
          /priv91 'private firm'
          /pub91 'public firm'
          /size81 'size of organisation'
          /size91 'size of organisation'
          
var labels sz811 'firm size 1-25dummy'
          /sz812 'firm size 25-99dummy'
          /sz813 'firm size 100-499 dummy'
          /sz814 'firm size 500+ dummy'
         
          
var labels sz911 'firm size 1-25 dummy'
          /sz912 'firm size 26-99 dummy'
          /sz913 'firm size 100-499 dummy'
          /sz914 'firm size 500+ dummy'   
          
recode sz811 to sz914 (sysmis=-1)   
missing values sz811 to sz914 (-1)

freq vars=sz81 sz91 sz811 to sz914 diffsize size00 size10 size01

compute temp81=-1
compute temp91=-1

do if (dstat81=1)
if (n4239=2) temp81=1
if (n4144=1 and n4213=2) temp81=1
end if
if (dstat81=0) temp81=0


do if (dstat91=1)
if (n500653=1) temp91=1
end if
if (dstat91=0) temp91=0

missing values temp81,temp91 (-1)

var labels temp81 'temping for an agency currently'
          /temp91 'temping for an agency currently'

freq vars=temp81,temp91,n500653
crosstabs tables=econst81 by temp81/n500520 by temp91/
   missing=include
************************************************************

save outfile = ncr2.sav
      
finish


